﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:behaviors="clr-namespace:SecondMonitor.WindowsControls.WPF.Behaviors"
                    xmlns:converters="clr-namespace:SecondMonitor.WindowsControls.WPF.Converters"
                    xmlns:i="http://schemas.microsoft.com/expression/2010/interactivity"
                    xmlns:quantityText="clr-namespace:SecondMonitor.WindowsControls.WPF.QuantityText"
                    xmlns:carStatus="clr-namespace:SecondMonitor.ViewModels.CarStatus;assembly=SecondMonitor.ViewModels">
    <converters:DoubleToScalableDecimalsConverter x:Key="DoubleConverter" />
    <DataTemplate DataType="{x:Type carStatus:PedalsAndGearViewModel}">
        <Grid>
            <Grid.RowDefinitions>
                <RowDefinition Height="*" />
                <RowDefinition Height="Auto" />

            </Grid.RowDefinitions>
            <Grid Row="0">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                </Grid.ColumnDefinitions>
                <Grid Column="0">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*" />
                        <ColumnDefinition Width="*" />
                        <ColumnDefinition Width="*" />
                    </Grid.ColumnDefinitions>
                    <Border Grid.Column="2"
                                        BorderBrush="{StaticResource DarkGrey05Brush}"
                                        BorderThickness="2" CornerRadius="4">
                        <Grid VerticalAlignment="Stretch">
                            <!--<Grid Height="2" Margin="0,0,0,0" VerticalAlignment="Top" HorizontalAlignment="Stretch"
                                  Background="{StaticResource LightGrey01Brush}" Grid.ZIndex="2" ToolTip="Filtered throttle (i.e. after TC application).">
                                <i:Interaction.Behaviors>
                                    <behaviors:TopMarginPercentageBehavior
                                        Percentage="{Binding ThrottleFilteredPercentage, Mode=OneWay}" />
                                </i:Interaction.Behaviors>
                            </Grid>-->
                            <Grid VerticalAlignment="Top" Background="Green">
                                <i:Interaction.Behaviors>
                                    <behaviors:PercentagesHeightBehavior
                                                    Percentage="{Binding ThrottlePercentage}" />
                                </i:Interaction.Behaviors>
                            </Grid>
                            <TextBlock HorizontalAlignment="Center" FontWeight="Bold"
                                                   Style="{StaticResource StandardText}"
                                                   Text="{Binding ThrottlePercentage,Converter={StaticResource DoubleConverter}}" />
                            <ContentPresenter Panel.ZIndex="5" Content="{StaticResource ThrottleIcon}"
                                                          HorizontalAlignment="Center" VerticalAlignment="Center"
                                                          MaxWidth="30" Margin="5,0,5,0" />
                        </Grid>
                    </Border>
                    <Border Grid.Column="1"
                                        BorderBrush="{StaticResource DarkGrey05Brush}"
                                        BorderThickness="2" CornerRadius="4">
                        <Grid VerticalAlignment="Stretch">
                            <!--<Grid Height="2" Margin="0,0,0,0" VerticalAlignment="Top" HorizontalAlignment="Stretch"
                                  Background="{StaticResource LightGrey01Brush}" Grid.ZIndex="2" ToolTip="Filtered brake (i.e. after Abs application).">
                                <i:Interaction.Behaviors>
                                    <behaviors:TopMarginPercentageBehavior
                                        Percentage="{Binding BrakeFilteredPercentage, Mode=OneWay}" />
                                </i:Interaction.Behaviors>
                            </Grid>-->
                            <Grid VerticalAlignment="Top" Background="{StaticResource DarkRed01Brush}">
                                <i:Interaction.Behaviors>
                                    <behaviors:PercentagesHeightBehavior
                                                    Percentage="{Binding BrakePercentage}" />
                                </i:Interaction.Behaviors>
                            </Grid>
                            <TextBlock HorizontalAlignment="Center" FontWeight="Bold"
                                                   Style="{StaticResource StandardText}"
                                                   Text="{Binding BrakePercentage,Converter={StaticResource DoubleConverter}}" />
                            <ContentPresenter Panel.ZIndex="5" Content="{StaticResource BrakeIcon}"
                                                          HorizontalAlignment="Center" VerticalAlignment="Center"
                                                          MaxWidth="30" Margin="5,0,5,0" />
                        </Grid>
                    </Border>
                    <Border Grid.Column="0"
                                        BorderBrush="{StaticResource DarkGrey05Brush}"
                                        BorderThickness="2" CornerRadius="4">
                        <Grid VerticalAlignment="Stretch">
                            <Grid VerticalAlignment="Top" Background="{StaticResource ClutchPedalColor}">
                                <i:Interaction.Behaviors>
                                    <behaviors:PercentagesHeightBehavior
                                                    Percentage="{Binding ClutchPercentage}" />
                                </i:Interaction.Behaviors>
                            </Grid>
                            <TextBlock HorizontalAlignment="Center" FontWeight="Bold"
                                                   Style="{StaticResource StandardText}"
                                                   Text="{Binding ClutchPercentage,Converter={StaticResource DoubleConverter}}" />
                            <ContentPresenter Panel.ZIndex="5" Content="{StaticResource ClutchIcon}"
                                                          HorizontalAlignment="Center" VerticalAlignment="Center"
                                                          MaxWidth="30" Margin="5,0,5,0" />
                        </Grid>
                    </Border>
                </Grid>
                <Grid Column="1">
                    <Border Grid.Column="0"
                                        BorderBrush="{StaticResource DarkGrey05Brush}"
                                        BorderThickness="2" CornerRadius="4">
                        <Grid>
                            <TextBlock HorizontalAlignment="Center" FontWeight="Bold"
                                                   Style="{StaticResource StandardText}"
                                                   Text="{Binding WheelRotation,Converter={StaticResource DoubleConverter}}" />
                            <ContentPresenter Panel.ZIndex="5" Content="{StaticResource SteeringWheel}"
                                                          HorizontalAlignment="Center" VerticalAlignment="Center"
                                                          MaxWidth="60" Margin="5,0,5,0"
                                                          RenderTransformOrigin="0.5,0.5">
                                <ContentPresenter.RenderTransform>
                                    <RotateTransform
                                                    Angle="{Binding WheelRotation}" />
                                </ContentPresenter.RenderTransform>
                            </ContentPresenter>
                        </Grid>
                    </Border>
                </Grid>
            </Grid>
            <Border Grid.Row="1" BorderBrush="{StaticResource DarkGrey05Brush}"
                                BorderThickness="2" CornerRadius="2">
                <Grid>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="*"/>
                        <ColumnDefinition Width="*"/>
                        <ColumnDefinition Width="*"/>
                    </Grid.ColumnDefinitions>

                    <quantityText:VelocityText Grid.Column="0" HorizontalAlignment="Center" VerticalAlignment="Center"
                                                              FontSize="{StaticResource NormalFontSize}"
                                                              FontWeight="Bold"
                                                              Foreground="{StaticResource LightGrey01Brush}"
                                                              Quantity="{Binding Speed,Mode=OneWay}"
                                                              VelocityUnits="{Binding VelocityUnits,Mode=OneWay}"/>
                    <TextBlock HorizontalAlignment="Center" Grid.Column="1"
                                       FontSize="{StaticResource GearIndicationFontSize}"
                                       FontWeight="Bold"
                                       Style="{StaticResource StandardText}"
                                       Text="{Binding Gear}" />
                    <TextBlock HorizontalAlignment="Center" Grid.Column="2" VerticalAlignment="Center"
                                           FontSize="{StaticResource NormalFontSize}"
                                           FontWeight="Bold"
                                           Style="{StaticResource StandardText}"
                                           Text="{Binding Rpm}" />
                </Grid>
            </Border>
        </Grid>
    </DataTemplate>
</ResourceDictionary>